Inquiry with 22.01 updates

Hi there,

I’ve encountered a compatibility problem today when I update my infinite flight app via Google play.

The Google play shows ‘This app is no longer compatible with your devices, for more information, please contact the developer’. And it seems the infinite flight can not show on my google play.

I tried to reinstall google play, but it did not work.

For your information:
My current IF version:21.8
My Device: Xiaomi M2102J2SC(Xiaomi 10s)
Android Version:11.

Any advice on that would be much appreciated!

Best Wishes,

Hello!

This alert will show if your device does not support the latest update of Infinite Flight, or if your device is not Google Play Protect certified.

The following steps will help you determine this:

  1. Ensure your device meets the minimum device requirements. If it doesn’t, then you will not be able to update Infinite Flight to the latest version.

  2. Check to see if your device is Google Play Protect certified. You can do this by opening the Google Play Store, tap on Main Menu → Settings and check “Play Protect certification” under “About” (should say “Device is certified”).

If your device is not certified, this is because Google cannot validate the security or compatibility status of your device.

Ensure the following:

  • Your device’s bootloader is locked .
  • Your device has the latest official software update from your manufacturer.
  • Your device is on the list of Google Play’s support devices

You can read more on the Google Support website.

Hi there! Thanks for replying. I think the problem was automatically fixed, it’s kinda strange, but a happy ending.

Thanks again for your advice! Have a nice day then!

1 Like